# TODO:
# - system libccd
# - assertion "bNormalizationResult" failed in _dNormalize3()
#   [what conditions? assert fails when passed 0-length vector, which cannot be normalized]
#
Summary:	ODE - library for simulating articulated rigid body dynamics
Summary(pl.UTF-8):	ODE - biblioteka służąca do symulacji dynamiki bryły sztywnej
Name:		ode
Version:	0.12
Release:	4
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/opende/%{name}-%{version}.tar.bz2
# Source0-md5:	48fdd41fae1a7e7831feeded09826599
URL:		http://ode.org/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.10
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRequires:	python-Cython >= 0.14.1
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. ODE is useful for simulating things
like vehicles, objects in virtual reality environments, and virtual
creatures.

%description -l pl.UTF-8
Open Dynamics Engine (ODE) jest wolną biblioteką służącą do
symulacji dynamiki bryły sztywnej. ODE jest użyteczne przy symulacji
pojazdów, obiektów w przestrzeni wirtualnej i wirtualnych stworzeń.

%package devel
Summary:	Header files for ODE library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ODE
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for ODE library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ODE.

%package static
Summary:	Static ODE library
Summary(pl.UTF-8):	Statyczna biblioteka ODE
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static ODE library.

%description static -l pl.UTF-8
Statyczna biblioteka ODE.

%package -n python-ode
Summary:	Python binding for ODE library
Summary(pl.UTF-8):	Wiązanie Pythona do biblioteki ODE
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n python-ode
Python binding for ODE library.

%description -n python-ode -l pl.UTF-8
Wiązanie Pythona do biblioteki ODE.

%prep
%setup -q

%build
%configure \
	--enable-libccd \
	--enable-shared
%{__make}

srcdir="$(pwd)"
cd bindings/python
CFLAGS="%{rpmcppflags} -I$srcdir/include -DdSINGLE"
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd bindings/python
%py_install

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libode.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG.txt README.txt
%attr(755,root,root) %{_libdir}/libode.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libode.so.3

%files devel
%defattr(644,root,root,755)
%doc ode/{README,TODO} ode/doc/{main.dox,pix}
%attr(755,root,root) %{_bindir}/ode-config
%attr(755,root,root) %{_libdir}/libode.so
%{_includedir}/ode
%{_pkgconfigdir}/ode.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libode.a

%files -n python-ode
%defattr(644,root,root,755)
%doc bindings/python/TODO.txt
%attr(755,root,root) %{py_sitedir}/ode.so
%{py_sitedir}/Open_Dynamics_Engine-0.1-py*.egg-info
%changelog
* Thu May 05 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ode.git;a=log;h=master

* Thu May 05 2016 Jan Rękorajski <baggins@pld-linux.org> aa63f6c
- fix python build/install
- rel 4

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 351ecd3
- release 3 (by relup.sh)

* Sat Nov 16 2013 Jan Rękorajski <baggins@pld-linux.org> 1bb4569
- release 2 (by relup.sh)

* Sun Nov 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 5a1a6f5
- updated to 0.12
- package python binding

* Thu Oct 15 2009 lisu <lisu@pld-linux.org> 40551cd
- TODO

* Tue Jun 02 2009 lisu <lisu@pld-linux.org> 3aee2af
- up to 0.11.1

* Fri Jan 30 2009 lisu <lisu@pld-linux.org> 669cbc8
- 0.11
- ode.pc goes to pkgconfigdir
- ghost soname symlin

* Mon Nov 24 2008 lisu <lisu@pld-linux.org> e8bff06
- 0.10.1

* Mon Sep 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f3710d7
- release 2

* Thu Jul 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 606c508
- library packaging unbroken
- libtoolize (fixes build with libtool 2.2)
- BR: GLU-devel; removed unneeded deps from -devel

* Sat Jul 05 2008 lisu <lisu@pld-linux.org> c7d76f8
- useless

* Sat Jul 05 2008 lisu <lisu@pld-linux.org> 5cae0dc
- 0.10.0
- use tarball instead of zip package
- DESTDIR.patch is obsolete
- new soname symlink (not sure about it)
- libode.la added to devel

* Tue Oct 16 2007 lisu <lisu@pld-linux.org> 7bfb563
- up to 0.9
- BR: OpenGL-GLU
- clean up

* Sat Jul 07 2007 Jakub Bogusz <qboosh@pld-linux.org> 2d9fc67
- removed bogus asm patch (adding preserved ebx to clobber list makes no sense)
- added DESTDIR patch to fix soname install

* Sat Jul 07 2007 Jakub Bogusz <qboosh@pld-linux.org> f144214
- fix soname install

* Sat Jul 07 2007 Jakub Bogusz <qboosh@pld-linux.org> 8ca34a1
- bogus

* Sat Jul 07 2007 Jakub Bogusz <qboosh@pld-linux.org> 91ffb7f
- enable soname
- BR: ac,am; libtool not used

* Sat Jul 07 2007 Jakub Bogusz <qboosh@pld-linux.org> 76bacbd
- fixed packaging

* Sat Jun 23 2007 lisu <lisu@pld-linux.org> 1f3ac6c
- patch checked - it works
- change libode.so to libode.so.0

* Sat Jun 23 2007 lisu <lisu@pld-linux.org> 62422f4
- adapted for 0.8 version (can somebody check this on ix686 arch?)

